radius should be positive number

Post here for help on using FreeCAD's graphical user interface (GUI).
Forum rules
and Helpful information
IMPORTANT: Please click here and read this first, before asking for help

Also, be nice to others! Read the FreeCAD code of conduct!
Post Reply
moham96
Posts: 3
Joined: Sun Nov 29, 2020 5:34 pm

radius should be positive number

Post by moham96 »

Hi,
I'm trying to sketch a cloth clip, my sketch consists of multiple lines with one Bspline and multiple fillets between these lines,
I've had nothing but problems in my sketch from not able to apply a distance constraint to not being able to move a specific line or point, after many iterations I made the last version of the sketch but faced another problem, in the attached file I cannot move line number 7 to the left without getting the following error

Code: Select all

21:30:30  Updating geometry: Error build geometry(18): gp_Circ::SetRadius() - radius should be positive number
21:30:30  Invalid solution from DogLeg solver.
21:30:30  Updating geometry: Error build geometry(18): gp_Circ::SetRadius() - radius should be positive number
21:30:30  Invalid solution from DogLeg solver.
21:30:30  Updating geometry: Error build geometry(18): gp_Circ::SetRadius() - radius should be positive number
21:30:30  Invalid solution from DogLeg solver.
21:30:31  Updating geometry: Error build geometry(17): gp_Circ::SetRadius() - radius should be positive number
21:30:31  Invalid solution from DogLeg solver.
21:30:31  Traceback (most recent call last):
  File "<string>", line 1, in <module>
<class 'ValueError'>: Not able to move point with the id and type: (6, 0)
21:30:31  App.getDocument('clip_last').getObject('Sketch').movePoint(6,0,App.Vector(-4.886427,0.303035,0),1)
21:30:31  Drag curve: Not able to move point with the id and type: (6, 0)
if I instead tried to set a horizontal distance constraint on the perpendicular lines (line 6 and line 8) to something like 30mm then I get the error

Code: Select all

21:33:05  Traceback (most recent call last):
  File "<string>", line 1, in <module>
<class 'ValueError'>: Invalid constraint index: 43
21:33:05  App.getDocument('clip_last').getObject('Sketch').setDatum(43,App.Units.Quantity('20.000000 mm'))

OS: Manjaro Linux (Deepin/deepin)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.23074 (Git) AppImage
Build type: Release
Branch: master
Hash: 74b866ed3022fd1452c534dae31a721bcc668f2f
Python version: 3.8.6
Qt version: 5.12.5
Coin version: 4.0.0
OCC version: 7.4.0
Locale: English/United States (en_US)
Attachments
clip-last.FCStd
(8.85 KiB) Downloaded 25 times
User avatar
Roy_043
Veteran
Posts: 8585
Joined: Thu Dec 27, 2018 12:28 pm

Re: radius should be positive number

Post by Roy_043 »

If you constrain the radii of the fillets first, line #7 can be moved.
Bance
Veteran
Posts: 4286
Joined: Wed Feb 11, 2015 3:00 pm
Location: London

Re: radius should be positive number

Post by Bance »

Just fix some of the fillet radii.

EDIT: beaten to it! :lol:
moham96
Posts: 3
Joined: Sun Nov 29, 2020 5:34 pm

Re: radius should be positive number

Post by moham96 »

Bance, Roy
thanks, that did it
Post Reply